Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class LoggingConnectionDecorator.LoggingConnection.LoggingStatement

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingStatement
          org.apache.openjpa.lib.jdbc.LoggingConnectionDecorator.LoggingConnection.LoggingStatement

All Implemented Interfaces:
  Statement, Wrapper, Closeable

Enclosing class:
  LoggingConnectionDecorator.LoggingConnection

    protected class LoggingConnectionDecorator.LoggingConnection.LoggingStatement

extends DelegatingStatement

Statement wrapper that logs SQL to the parent data source and remembers the last piece of SQL to be executed on it.

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`LoggingConnectionDecorator.LoggingConnection.LoggingStatement(Statement stmnt)`

Method Summary
`void` | `appendInfo(StringBuffer buf)`
`void` | `cancel()`
`boolean` | `execute(String sql)`
`boolean` | `execute(String sql, int i)`
`boolean` | `execute(String sql, int[] ia)`
`boolean` | `execute(String sql, String[] sa)`
`protected ResultSet` | `executeQuery(String sql, boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `executeUpdate(String sql)`
`int` | `executeUpdate(String sql, int i)`
`int` | `executeUpdate(String sql, int[] ia)`
`int` | `executeUpdate(String sql, String[] sa)`
`protected ResultSet` | `wrapResult(ResultSet rs, boolean wrap)`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingStatement
`addBatch, clearBatch, clearWarnings, close, closeOnCompletion, equals, executeBatch, executeQuery, getConnection, getDelegate, getFetchDirection, getFetchSize, getGeneratedKeys, getInnermostDelegate, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, hashCode, initialize, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, toString, unwrap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggingConnectionDecorator.LoggingConnection.LoggingStatement

    public LoggingConnectionDecorator.LoggingConnection.LoggingStatement(Statement stmnt)
                                                                  throws SQLException

Throws:
  `SQLException`

Method Detail

### appendInfo

    public void appendInfo(StringBuffer buf)

  Overrides:
    `appendInfo` in class `DelegatingStatement`

### wrapResult

    protected ResultSet wrapResult(ResultSet rs,
                                   boolean wrap)

  Overrides:
    `wrapResult` in class `DelegatingStatement`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`
  Overrides:
    `cancel` in class `DelegatingStatement`
  Throws:
    `SQLException`

### executeQuery

    protected ResultSet executeQuery(String sql,
                                     boolean wrap)
                              throws SQLException

  Description copied from class: `DelegatingStatement`
  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Overrides:
    `executeQuery` in class `DelegatingStatement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String sql)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Overrides:
    `executeUpdate` in class `DelegatingStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String sql)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Overrides:
    `execute` in class `DelegatingStatement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String sql,
                             int i)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Overrides:
    `executeUpdate` in class `DelegatingStatement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String sql,
                             int[] ia)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Overrides:
    `executeUpdate` in class `DelegatingStatement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String sql,
                             String[] sa)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Overrides:
    `executeUpdate` in class `DelegatingStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String sql,
                           int i)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Overrides:
    `execute` in class `DelegatingStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String sql,
                           int[] ia)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Overrides:
    `execute` in class `DelegatingStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String sql,
                           String[] sa)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Overrides:
    `execute` in class `DelegatingStatement`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.